## ros-noetic-rosmon 2.4.0

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.4)
project(rosmon)

find_package(catkin)

catkin_package()

catkin_install_python(
	PROGRAMS src/rosmon
	DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rosmon (2.4.0-1buster) buster; urgency=high

  * Increase cmake minimum version to 3.4
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-rosmon (2.3.2-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 28 May 2020 22:00:00 -0000

ros-noetic-rosmon (2.3.1-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-noetic-rosmon (2.3.0-1buster) buster; urgency=high

  * Fix Issue "Can not handle arguments with spaces" (PR #110)
  * Contributors: Kazuhiro Hiratsuka, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-noetic-rosmon (2.2.1-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 07 Nov 2019 23:00:00 -0000

ros-noetic-rosmon (2.2.0-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 28 Oct 2019 23:00:00 -0000

ros-noetic-rosmon (2.1.1-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 08 Jul 2019 22:00:00 -0000

ros-noetic-rosmon (2.1.0-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 24 Jun 2019 22:00:00 -0000

ros-noetic-rosmon (2.0.2-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-noetic-rosmon (2.0.1-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-noetic-rosmon (2.0.0-1buster) buster; urgency=high

  * split into separate packages for core, GUI, messages, PR #72
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 10 Mar 2019 23:00:00 -0000

ros-noetic-rosmon (1.0.10-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-rosmon (1.0.9-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 19 Sep 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.8-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 06 Aug 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.7-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sat, 26 May 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.6-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 25 May 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.5-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 24 May 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.4-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 23 May 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.3-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 04 May 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.2-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 23 Apr 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.1-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 13 Apr 2018 16:55:00 -0000

ros-noetic-rosmon (1.0.0-1buster) buster; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 13 Apr 2018 10:15:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rosmon//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rosmon 2.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 catkin_package()
 
-catkin_install_python(
+install(
 	PROGRAMS src/rosmon
 	DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
 )
+

=== debian/changelog ===
ros-noetic-rosmon (2.5.0-2focal) focal; urgency=high

  * rosmon: fix installation of wrapper script in devel spaces
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 09 Jul 2023 22:00:00 -0000

ros-noetic-rosmon (2.4.0-2focal) focal; urgency=high

  * Increase cmake minimum version to 3.4
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-noetic-rosmon (2.3.2-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 28 May 2020 22:00:00 -0000

ros-noetic-rosmon (2.3.1-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-noetic-rosmon (2.3.0-2focal) focal; urgency=high

  * Fix Issue "Can not handle arguments with spaces" (PR #110)
  * Contributors: Kazuhiro Hiratsuka, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 27 May 2020 22:00:00 -0000

ros-noetic-rosmon (2.2.1-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 07 Nov 2019 23:00:00 -0000

ros-noetic-rosmon (2.2.0-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 28 Oct 2019 23:00:00 -0000

ros-noetic-rosmon (2.1.1-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 08 Jul 2019 22:00:00 -0000

ros-noetic-rosmon (2.1.0-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 24 Jun 2019 22:00:00 -0000

ros-noetic-rosmon (2.0.2-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-noetic-rosmon (2.0.1-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 11 Mar 2019 23:00:00 -0000

ros-noetic-rosmon (2.0.0-2focal) focal; urgency=high

  * split into separate packages for core, GUI, messages, PR #72
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 10 Mar 2019 23:00:00 -0000

ros-noetic-rosmon (1.0.10-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-rosmon (1.0.9-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 19 Sep 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.8-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 06 Aug 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.7-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sat, 26 May 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.6-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 25 May 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.5-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 24 May 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.4-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Wed, 23 May 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.3-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 04 May 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.2-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 23 Apr 2018 22:00:00 -0000

ros-noetic-rosmon (1.0.1-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 13 Apr 2018 16:55:00 -0000

ros-noetic-rosmon (1.0.0-2focal) focal; urgency=high



 -- Max Schwarz <max.schwarz@uni-bonn.de>  Fri, 13 Apr 2018 10:15:00 -0000

=== debian/control ===
Source: ros-noetic-rosmon
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rosmon-core, ros-noetic-rqt-rosmon
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rosmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rosmon-core, ros-noetic-rqt-rosmon
Description: Node launcher and monitor for ROS.
 rosmon is a replacement for the roslaunch tool, focused on performance, remote monitoring, and usability.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
